Package Details: lgogdownloader 3.5-1

Git Clone URL: https://aur.archlinux.org/lgogdownloader.git (read-only)
Package Base: lgogdownloader
Description: An open source downloader for GOG.com games, uses the GOG.com API
Upstream URL: https://sites.google.com/site/gogdownloader/
Keywords: api downloader games gaming gog gog.com
Licenses: WTFPL
Submitter: tea
Maintainer: tea
Last Packager: tea
Votes: 58
Popularity: 0.305029
First Submitted: 2012-08-01 22:40
Last Updated: 2019-04-29 19:50

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

bwrsandman commented on 2016-01-03 21:55

You may want to bump up the pkgrel to force recompilation against boost 1.59.0.
Otherwise, the following error happens and there is no indication of needing to rebuild lgogdownloader:

lgogdownloader: error while loading shared libraries: libboost_system.so.1.59.0: cannot open shared object file: No such file or directory

neven commented on 2015-07-25 00:43

boost should probably be in makedepends, boost-libs in depends.

carstene1ns commented on 2015-02-20 04:25

In addition to the previous comment: You can also use the commit as patch directly (just add '.patch' to it's url).
Example, untested:

source=(...
jsonpp-include.patch::https://github.com/Sude-/lgogdownloader/commit/f039db5c6572c4fb70d228d511c4d76c1deb517c.patch)

prepare() {
cd $srcdir/$pkgname-$pkgver
patch -Np1 ../jsonpp-include.patch
}

eduardbaer commented on 2015-02-19 21:16

This PKGBUILD works, it basically applies this commit:
https://github.com/Sude-/lgogdownloader/commit/f039db5c6572c4fb70d228d511c4d76c1deb517c



# Maintainer: Joe Davison <joe@warhaggis.com>

pkgname=lgogdownloader
pkgver=2.20
pkgrel=2
pkgdesc="An open source downloader for GOG.com games, uses the GOG.com API"
url="https://sites.google.com/site/gogdownloader/"
arch=(i686 x86_64)
license=(WTFPL)
depends=('boost' 'jsoncpp' 'liboauth' 'rhash' 'tinyxml' 'htmlcxx' 'curl')
makedepends=('help2man')
source=(http://sites.google.com/site/gogdownloader/$pkgname-$pkgver.tar.gz)
sha256sums=('3219d5fc2582b1e3b52226eb37867ed6d5f38106f3037107a75a59545f7c95ce')

build() {
cd $srcdir/$pkgname-$pkgver

sed -i 's+^\(INC .*$\)+\1 -I/usr/include/jsoncpp+' Makefile
sed -i 's+jsoncpp/\(json/json.h\)+\1+' */*.h
sed -i 's+jsoncpp/\(json/json.h\)+\1+' */*.cpp

# Set to debug for more output
make release

}

package() {
cd $srcdir/$pkgname-$pkgver

make PREFIX=$pkgdir/usr install

# install -D -m 755 $srcdir/$pkgname-$pkgver/man/$pkgname.1.gz \
# $pkgdir/usr/share/man/man1/$pkgname.1.gz
}

MindLikeWater commented on 2015-02-10 10:21

I have the same compiling problem as InspMustache. Any fix in sight?

InspMustache commented on 2015-02-05 15:29

Doesn't compile for me anymore since the latest update. Apparently json.h is missing.

make: *** [obj/Release/src/downloader.o] Error 1
In file included from include/gamedetails.h:5:0,
from include/api.h:11,
from include/downloader.h:25,
from main.cpp:7:
include/gamefile.h:8:31: fatal error: jsoncpp/json/json.h: No such file or directory
#include <jsoncpp/json/json.h>
^
compilation terminated.
Makefile:119: recipe for target 'obj/Release/main.o' failed
make: *** [obj/Release/main.o] Error 1
src/util.cpp:12:31: fatal error: jsoncpp/json/json.h: No such file or directory
#include <jsoncpp/json/json.h>
^
compilation terminated.
Makefile:131: recipe for target 'obj/Release/src/util.o' failed
make: *** [obj/Release/src/util.o] Error 1

chungy commented on 2014-12-10 00:32

Thanks for updating, but your package still invokes a manual "install" line and still does not use PREFIX and DESTDIR properly. Please fix :(

chungy commented on 2014-11-30 08:13

The "make install" line doesn't install the files to proper locations. You need to set DESTDIR and PREFIX appropriately, and also you should use quotations around environment variables to protect building under certain path names. Fixed PKGBUILD example: http://pastebin.com/TKGGcftU

tea commented on 2014-09-21 12:35

Lots of new features in 2.18, better management of download locations etc. Full changelog as usual at the forum thread: http://www.gog.com/forum/general/lgogdownloader_gogdownloader_for_linux/post476

marcusMan commented on 2014-08-25 21:00

I keep getting build errors in this new version.

help2man -N -i man/lgogdownloader.supplemental.groff -o man/lgogdownloader.1 bin/Release/lgogdownloader
help2man: can't get `--help' info from bin/Release/lgogdownloader
Try `--no-discard-stderr' if option outputs to stderr
Makefile:99: recipe for target 'after_release' failed
make: *** [after_release] Error 1